( function( $ ) {

  $(document).ready(function($){

    // Trigger mmenu
    $('#mob-menu').mmenu();

    // Sticky header
    if( $('#masthead').hasClass('sticky-header') ){
    	$(window).on( 'scroll',function () {
  	    if( $(window).scrollTop() > $('.sticky-header').offset().top && !($('.sticky-header').hasClass('fixed'))){
  	      $('.sticky-header').addClass('fixed');
  	    }

  	    else if ($(window).scrollTop() == 0){
  	      $('.sticky-header').removeClass('fixed');
  	    }
    	});
    } //end if

    // Implement go to top.
    if ( $('#btn-scrollup').length > 0 ) {

      $(window).on( 'scroll',function(){
          if ($(this).scrollTop() > 100) {
              $('#btn-scrollup').fadeIn();
          } else {
              $('#btn-scrollup').fadeOut();
          }
      });

      $('#btn-scrollup').on( 'click',function(){
          $("html, body").animate({ scrollTop: 0 }, 600);
          return false;
      });

    } // End #btn-scrollup.

  });


} )( jQuery );
